﻿
using EJGrid.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Web;
using SyncfusionMvcApplication1;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Script.Services;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
namespace ASPApp
{
    public partial class GridFeatures : System.Web.UI.Page
    {
        List<Orders> order = new List<Orders>();
        List<Employee> employee = new List<Employee>();
        protected void Page_Load(object sender, EventArgs e)
        {
            var data = new NorthwindDataContextgrid().OrdersViews.ToList();
            OrdersGrid.DataSource = data;
            OrdersGrid.DataBind();
        }
        
        
       
       
        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(int orderId, string customerId, int empId, double freight, string shipName, string shipCountry)
            {
                this.OrderID = orderId;
                this.CustomerID = customerId;
                this.EmployeeID = empId;
                this.Freight = freight;
                this.ShipName = shipName;
                this.ShipCountry = shipCountry;
            }
            public int OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public string ShipName { get; set; }
            public string ShipCountry { get; set; }
        }
        public class Employee
        {
            public Employee()
            {

            }
            public Employee(int EmployeeId, string FirstName)
            {
                this.EmployeeID = EmployeeId;
                this.FirstName = FirstName;
            }
            public int EmployeeID { get; set; }
            public string FirstName { get; set; }
        }
    }
}
